<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--D: for tests purposes only -->
<!--f:metadata>
  <f:viewParam name="numeroPredial" value="#{consultaBloqueoPredio.numeroPredial}" required="true"
               requiredMessage="numero predial is required" />
               rendered="#{consultaBloqueoPredio.existPredioBloqueo}" 
</f:metadata-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" >
    <h:panelGrid id="detalleBloqueoIncl">
        <p:panel header="Bloqueo actual">
            <fieldset>
                <h:panelGrid columns="3" width="100%">
                    <h:panelGroup>
                        <h:outputLabel value="Número predial: " for="numPredialId" styleClass="outputLabelStyle"/>
                        <h:outputText id="numPredialId" value="#{consultaBloqueoPredio.predioForPredioBloqueo.formatedNumeroPredial}" styleClass="outputTextStyle" />
                    </h:panelGroup>

                    <h:panelGroup>
                        <h:outputLabel value="Consecutivo catastral: " for="consecutivoCatastralId" styleClass="outputLabelStyle"/>
                        <h:outputText id="consecutivoCatastralId" value="#{consultaBloqueoPredio.predioForPredioBloqueo.consecutivoCatastral}"
                                      styleClass="outputTextStyle"/>
                    </h:panelGroup>

                    <h:panelGroup>
                        <h:outputLabel value="NIP: " for="nipId" styleClass="outputLabelStyle"/>
                        <h:outputText id="nipId" value="#{consultaBloqueoPredio.predioForPredioBloqueo.nip}" styleClass="outputTextStyle" />
                    </h:panelGroup>
                </h:panelGrid>


            </fieldset>

            <h:panelGrid columns="3">
                <h:outputLabel value="Fecha inicial: " for="fechaInicialId" styleClass="outputLabelStyle"/>
                <h:outputText value="" />
                <h:outputText id="fechaInicialId" value="#{consultaBloqueoPredio.predioBloqueo.fechaInicio}" styleClass="outputTextStyle" />

                <h:outputLabel value="Fecha final: " for="fechaFinalId" styleClass="outputLabelStyle"/>
                <h:outputText value="" />
                <h:outputText id="fechaFinalId" value="#{consultaBloqueoPredio.predioBloqueo.fechaTermina}" styleClass="outputTextStyle" />

                <h:outputLabel value="Motivo del bloqueo: " for="motivoBloqueoId" styleClass="outputLabelStyle"/>
                <h:outputText value="" />
                <h:outputText id="motivoBloqueoId" value="#{consultaBloqueoPredio.predioBloqueo.motivo}" styleClass="outputTextStyle"/>
            </h:panelGrid>

            <p>
                <h:panelGrid>
                    <p:commandLink value="Ver documento soporte" styleClass="commandLinkStyle" />
                </h:panelGrid>
            </p>

        </p:panel>

    <!--p:panel rendered="#{!consultaBloqueoPredio.existPredioBloqueo}">
        <h:outputText value="No existe bloqueo para este predio"/>
    </p:panel-->

    </h:panelGrid>

</h:form>